Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.api
Interface FormDefinitionService

    public interface FormDefinitionService

Method Summary
`void` | `deleteForm(String formId)`
`void` | `deleteFormItem(String formItemId)`
`FormRepresentation` | `getForm(String formId)`
`FormRepresentation` | `getFormByUUID(String uuid)`
`FormItemRepresentation` | `getFormItem(String formItemId)`
`Map<String,FormItemRepresentation>` | `getFormItems()`
`List<FormRepresentation>` | `getForms()`
`String` | `saveForm(FormRepresentation form)`
`String` | `saveFormItem(String formItemName, FormItemRepresentation formItem)`
`void` | `saveTemplate(String templateName, String content)`

Method Detail

### getForms

    List<FormRepresentation> getForms()
                                      throws FormServiceException

  Throws:
    `FormServiceException`

### getFormItems

    Map<String,FormItemRepresentation> getFormItems()
                                                    throws FormServiceException

  Throws:
    `FormServiceException`

### saveForm

    String saveForm(FormRepresentation form)
                    throws FormServiceException

  Throws:
    `FormServiceException`

### saveFormItem

    String saveFormItem(String formItemName,
                        FormItemRepresentation formItem)
                        throws FormServiceException

  Throws:
    `FormServiceException`

### deleteForm

    void deleteForm(String formId)
                    throws FormServiceException

  Throws:
    `FormServiceException`

### deleteFormItem

    void deleteFormItem(String formItemId)
                        throws FormServiceException

  Throws:
    `FormServiceException`

### getForm

    FormRepresentation getForm(String formId)
                               throws FormServiceException

  Throws:
    `FormServiceException`

### getFormByUUID

    FormRepresentation getFormByUUID(String uuid)
                                     throws FormServiceException

  Throws:
    `FormServiceException`

### getFormItem

    FormItemRepresentation getFormItem(String formItemId)
                                       throws FormServiceException

  Throws:
    `FormServiceException`

### saveTemplate

    void saveTemplate(String templateName,
                      String content)
                      throws FormServiceException

  Throws:
    `FormServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.